Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		ORBit2
Version:	2.14.12
Release:	1
Summary:	A high-performance CORBA Object Request Broker.
License: 	LGPL/GPL
Group:		Graphical Desktop/GNOME
URL:		http://www.gnome.org/projects/ORBit2/
Source0:	%{name}-%{version}.tar.bz2
Patch0: 	ORBit2-2.14.3-multilib.patch
# handle ref leaks in the a11y stack more gracefully
Patch1: 	ORBit2-2.14.3-ref-leaks.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	openssl >= 0.9.7
BuildRequires: 	libIDL-devel
BuildRequires: 	glib-devel
BuildRequires: 	pkg-config
BuildRequires: 	libtool
BuildRequires: 	autoconf
BuildRequires: 	automake
BuildRequires: 	gtk-doc


%description
ORBit is a high-performance CORBA (Common Object Request Broker 
Architecture) ORB (object request broker). It allows programs to 
send requests and receive replies from other programs, regardless 
of the locations of the two programs. CORBA is an architecture that 
enables communication between program objects, regardless of the 
programming language they're written in or the operating system they
run on.

You will need to install this package and ORBit-devel if you want to 
write programs that use CORBA technology.

%package	devel
Summary:	Development libraries, header files and utilities for ORBit
Group:		Graphical Desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires: 	glib-devel
Requires: 	libIDL-devel
Requires: 	pkg-config


%description	devel
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the 
C language.

This package contains the header files, libraries and utilities 
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBIT package.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch0 -p1 -b .multilib
%patch1 -p1 -b .ref-leaks

%build
## the shipped libtool is broken wrt. multilib
#libtoolize --force --copy
#aclocal
#autoconf

%configure --sysconfdir=%_sysconfdir/gnome --disable-gtk-doc --enable-purify
make

%install
rm -rf %{buildroot}
%makeinstall


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*
%{_libdir}/orbit-2.0/*.so*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/orbit-2.0/*.a
%{_libdir}/orbit-2.0/*.la
%{_libdir}/pkgconfig/*
%{_bindir}/orbit-idl-2
%{_bindir}/typelib-dump
%{_bindir}/orbit2-config
%{_bindir}/ior-decode-2
%{_includedir}/*
%{_datadir}/aclocal/*
%{_datadir}/idl/orbit-2.0
%{_bindir}/linc-cleanup-sockets
%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.14.12-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.14.10-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.14.9-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.14.7-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.3-4
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.3-3
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.3-2
- rebuild against latest libIDL
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.3-1
- Version Update, moved to standard path
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-3
- added BuildRequires for automated builds
* Wed Apr 19 2006 Christian Wasem <wasem@ccux-linux.de> 2.14.0-2
- fixed manpath dir in man.conf
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.3-1
- Update to Version 2.13.3
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 2.13.2-1
- Update to Version 2.13.2
* Tue Oct 25 2005 Christian Wasem <wasem@ccux-linux.de> 2.12.4-1
- Update to Version 2.12.4, added more files to devel
* Fri Jul 08 2005 Karsten Brockmkann <arcam@ccux-linux.de> 2.12.1-3
- rebuilt against openssl 0.9.8
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.12.1-2
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 2.12.1-1
- Version Update to 2.12.1
- added options to ./configure-call
- changed group, changed summary, added and precised dependencies
- tweaked spec-file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 2.12.0-2
- Moved Config Dir to better Location, Cleaned out Specfile
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.12.0-1
- First package release.
